---
title: "Empfohlene Geräte"
type: single
---

Für neue Freifunkas erscheint die Vielzahl an Routern auf dem Markt vermutlich etwas unübersichtlich. Deshalb findest du hier eine Liste von Geräten, mit denen wir bereits gute Erfahrungen gesammelt haben und aktuell empfehlen können. Grundsätzlich ist unsere Firmware aber auf weit [mehr Geräten lauffähig](https://freifunk-leipzig.de/contribute/gluon/). Dennoch ist es sinnvoll einen Preis-Leistungs-Vergleich anzustellen, wenn du dich für die Neuanschaffung eines neuen oder gebrauchten Routers entschieden hast. Manche Repeater können nach dem Flashen der Firmware ebenfalls als eigenständige Freifunk-Nodes eingesetzt werden.

**Wichtig**: Für Geräte mit nur 4 MB Flash und 32 MB RAM solltest du **kein (mehr) Geld ausgeben**. Zukünftige Firmwareupdates werden diese nicht mehr zufriedenstellend unterstützen können. Auf diese Geräteklasse haben wir hier bewusst verzichtet.


|Hersteller|Modell                   |Band     |CPU    |Flash |RAM   |Neu   |Gebraucht|Infos                                                   |
|----------|-------------------------|---------|-------|------|------|------|---------|--------------------------------------------------------|
|**Router**|**(indoor)**                         |         |       |      |      |      |         |                                                        |
|TP-Link   |TL-WDR3600 (v1.x)        |2.4/5 GHz|560 MHz|8 MB  |128 MB|-     |10-20€   |[OpenWRT](https://openwrt.org/toh/tp-link/tl-wdr3600_v1)|
|TP-Link   |TL-WDR4300 (v1.x)        |2.4/5 GHz|560 MHz|8 MB  |128 MB|-     |20-40€   |[OpenWRT](https://openwrt.org/toh/tp-link/tl-wdr4300_v1)|
|TP-Link   |TL-WDR4900 (v1.x)        |2.4/5 GHz|800 MHz|16 MB |128 MB|-     |25€      |[OpenWRT](https://openwrt.org/toh/tp-link/tl-wdr4900)   |
|TP-Link   |TL-WR1043 (v2,3,4,5)     |2.4   GHz|720 MHz|8/16MB|64  MB|-     |15-25€   |[OpenWRT](https://openwrt.org/toh/tp-link/tl-wr1043nd)  |
|TP-Link   |Archer C7 AC1750 (v2,4,5)|2.4/5 GHz|720 MHz|16  MB|128 MB|ab 55€|25-50€   |[OpenWRT](https://openwrt.org/toh/tp-link/archer_c7) |
|AVM       |FRITZ!Box 4020           |2.4   GHz|750 MHz|16  MB|128 MB|ab 50€|15-40€   |[OpenWRT](https://openwrt.org/toh/avm/fritz.box.4020)   |
|AVM       |FRITZ!Box 4040           |2.4/5 GHz|638 MHz|32  MB|256 MB|ab 70€|40-70€   |[OpenWRT](https://openwrt.org/toh/avm/avm_fritz_box_4040)|
|Netgear   |R6120                    |2.4/5 GHz|580 MHz|16  MB|64  MB|40-70€|20-40€   |[OpenWRT](https://openwrt.org/toh/netgear/netgear_r6120)|
|Netgear   |R6220                    |2.4/5 GHz|880 MHz|128 MB|128 MB|50€   |35-50€   |[OpenWRT](https://openwrt.org/toh/netgear/netgear_r6220)|
|GL.iNet   |GL-AR150                 |2.4   GHz|400 MHz|16  MB|64  MB|ab 25€|         |[OpenWRT](https://openwrt.org/toh/gl.inet/gl-ar150)     |
|          |                         |         |       |      |      |      |         |                                                        |
|**Repeater**|                         |         |       |      |      |      |         |                                                        |
|AVM       |FRITZ!WLAN Rep. 300E     |2.4   GHz|400 MHz|16  MB|64  MB|-     |15-35€   |                                                        |
|AVM       |FRITZ!WLAN Rep. 450E     |2.4   GHz|560 MHz|16  MB|64  MB|-     |25-40€   |[OpenWRT](https://openwrt.org/toh/avm/avm_fritz_wlan_repeater_450e)|
|          |                         |         |       |      |      |      |         |                                                        |
|**Router**|**(outdoor)**                         |         |       |      |      |      |         |                                                        |
|TP-Link   |CPE210 (v1)              |2.4 GHz  |560 MHz|8 MB  |64  MB|-     |20-30€   |[OpenWRT](https://openwrt.org/toh/tp-link/cpe210)       |
|          |                         |         |       |      |      |      |         |                                                        |


